Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 801289 (ruby27-stable)

Summary: dev-lang/ruby:2.7 stable request
Product: Gentoo Linux Reporter: Hans de Graaff <graaff>
Component: StabilizationAssignee: Gentoo Ruby Team <ruby>
Status: RESOLVED FIXED    
Severity: normal CC: bertrand, sam
Priority: Normal Keywords: STABLEREQ
Version: unspecifiedFlags: nattka: sanity-check-
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/21911
Whiteboard:
Package list:
dev-lang/ruby-2.7.4 virtual/rubygems-16 dev-ruby/rubygems-3.1.6 app-eselect/eselect-ruby-20191222
Runtime testing required: ---
Bug Depends on: 801439, 807082, 807085, 811399, 812524, 812761, 813627, 813789, 813792, 813795, 813798, 816012, 816015    
Bug Blocks:    

Description Hans de Graaff gentoo-dev 2021-07-09 08:29:00 UTC
Tracker for open bugs that need to be resolved before ruby27 can be marked stable.
Comment 1 NATTkA bot gentoo-dev 2021-07-29 17:21:10 UTC Comment hidden (obsolete)
Comment 2 NATTkA bot gentoo-dev 2021-07-29 17:29:18 UTC Comment hidden (obsolete)
Comment 3 NATTkA bot gentoo-dev 2021-07-29 17:37:15 UTC Comment hidden (obsolete)
Comment 4 NATTkA bot gentoo-dev 2021-07-29 17:45:19 UTC Comment hidden (obsolete)
Comment 5 NATTkA bot gentoo-dev 2021-07-29 17:53:21 UTC Comment hidden (obsolete)
Comment 6 NATTkA bot gentoo-dev 2021-07-29 18:01:17 UTC Comment hidden (obsolete)
Comment 7 NATTkA bot gentoo-dev 2021-07-29 18:09:37 UTC Comment hidden (obsolete)
Comment 8 Hans de Graaff gentoo-dev 2021-10-10 06:39:57 UTC
Please test and mark stable this slot of dev-lang/ruby and its dependencies.

This ruby slot makes use of use.stable.mask to keep the ruby_targets_ruby27 USE flag masked on stable, so in addition to adding keywords you will also need to remove the ruby27 entry in your arch package.use.stable and make.defaults file. This is similar to how python slots work. In summary:

use.stable.mask: remove ruby_targets_ruby27 entry
make.defaults: remove the RUBY_TARGETS entry to revert to the new default version
Comment 9 NATTkA bot gentoo-dev 2021-10-10 06:44:35 UTC Comment hidden (obsolete)
Comment 10 NATTkA bot gentoo-dev 2021-10-11 00:52:41 UTC Comment hidden (obsolete)
Comment 11 NATTkA bot gentoo-dev 2021-10-11 00:56:37 UTC Comment hidden (obsolete)
Comment 12 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-10-11 01:06:07 UTC
amd64 done
Comment 13 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-10-11 01:06:09 UTC
x86 done
Comment 14 NATTkA bot gentoo-dev 2021-10-11 01:08:37 UTC Comment hidden (obsolete)
Comment 15 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-10-11 01:16:29 UTC
arm64 done
Comment 16 NATTkA bot gentoo-dev 2021-10-11 01:20:42 UTC Comment hidden (obsolete)
Comment 17 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-10-11 01:35:44 UTC
arm done
Comment 18 NATTkA bot gentoo-dev 2021-10-11 01:40:35 UTC Comment hidden (obsolete)
Comment 19 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-10-14 09:05:39 UTC
ppc done
Comment 20 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-10-14 09:05:40 UTC
ppc64 done
Comment 21 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-10-14 09:05:55 UTC
sparc done
Comment 22 NATTkA bot gentoo-dev 2021-10-14 09:08:38 UTC
Sanity check failed:

> dev-lang/ruby-2.7.4
>   pdepend hppa stable profile default/linux/hppa/17.0 (3 total)
>     >=dev-ruby/bundler-2.1.4[ruby_targets_ruby27]
>     >=dev-ruby/did_you_mean-1.3.1[ruby_targets_ruby27]
>     >=dev-ruby/json-2.0.2[ruby_targets_ruby27]
>     >=dev-ruby/minitest-5.13.0[ruby_targets_ruby27]
>     >=dev-ruby/net-telnet-0.2.0[ruby_targets_ruby27]
>     >=dev-ruby/power_assert-1.1.7[ruby_targets_ruby27]
>     >=dev-ruby/rake-13.0.1[ruby_targets_ruby27]
>     >=dev-ruby/rdoc-6.1.2[ruby_targets_ruby27]
>     >=dev-ruby/test-unit-3.3.4[ruby_targets_ruby27]
>     >=dev-ruby/xmlrpc-0.3.0[ruby_targets_ruby27]
>     virtual/rubygems[ruby_targets_ruby27]
Comment 23 Rolf Eike Beer archtester 2021-11-16 20:49:42 UTC
hppa done, bug done